Name:           osmctools
Version:        0.2
Release:        1%{?dist}
Summary:        Openstreet map command line utilities
License:        AGPLv3
URL:            https://gitorious.org/osm-c-tools
Source0:        https://gitorious.org/osm-c-tools/%{name}/archive/%{version}.tar.gz
Patch0:         osmctools-0.2-docs.patch
Patch1:         osmctools-0.2-version.patch
BuildRequires:  autoconf automake zlib-devel help2man

%description 
This project contains a few simple tools which
are used in OpenStreetMap project. All programs
of this project are written in C and rather fast.

%prep
%setup -q -n osm-c-tools-osmctools
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}
help2man -N -m "osmconvert manual" ./src/osmconvert -o osmconvert.1
help2man -N -m "osmfilter manual" ./src/osmfilter -o osmfilter.1
help2man -N -m "osmupdate manual" ./src/osmupdate -o osmupdate.1


%install
%make_install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 osmconvert.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 osmfilter.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 osmupdate.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%{_bindir}/osmconvert
%{_bindir}/osmfilter
%{_bindir}/osmupdate
%doc AUTHORS COPYING HACKING
%{_mandir}/man1/osmconvert.1*
%{_mandir}/man1/osmfilter.1*
%{_mandir}/man1/osmupdate.1*

%changelog
* Mon Sep 22 2014 Jozef Mlich <jmlich@redhat.com> 0.2-1
- Initial version of the package
